> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bondio.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get QR code image

> Returns the QR code image in the png format



## OpenAPI

````yaml /openapi.yaml get /v1/esims/{iccid}/qrcode
openapi: 3.1.0
info:
  title: Bondio API
  version: '1.0'
  description: Bondio's REST API for eSIM provisioning, plans, subscriptions, and billing.
servers:
  - url: https://api.bondio.co
    description: prod
security:
  - BearerAuth: []
tags:
  - name: Plan
  - name: Esim
  - name: Subscription
  - name: Addon Attachment
paths:
  /v1/esims/{iccid}/qrcode:
    parameters:
      - schema:
          type: string
        name: iccid
        in: path
        required: true
        description: iccid of the esim
    get:
      tags:
        - Esim
      summary: Get QR code image
      description: Returns the QR code image in the png format
      operationId: get-v1-esims-xid-qrcode
      responses:
        '200':
          description: OK
          content:
            application/octet-stream:
              schema:
                type: object
                properties: {}
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````